aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2014-09-24 14:45:11 -0700
committerRuss Cox <rsc@golang.org>2014-09-24 14:45:11 -0700
commit117a6973cb17d45c0c14cd8fb576f5a06b0d7234 (patch)
treea2e0381fa2ddf1829552ad8f41e5eb863ed5a82c /src/run.bash
parent54111a5893cf3a1de6f79729832c3ad9bb1a193b (diff)
downloadgo-117a6973cb17d45c0c14cd8fb576f5a06b0d7234.tar.gz
go-117a6973cb17d45c0c14cd8fb576f5a06b0d7234.zip
build: fix elf builds
Corrections due to new strict type rules for data+bss. Also disable misc/cgo/cdefstest since you can't compile C code anymore. TBR=iant CC=golang-codereviews https://golang.org/cl/148050044
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash11
1 files changed, 7 insertions, 4 deletions
diff --git a/src/run.bash b/src/run.bash
index 4966cf1aa6..3c9430c87e 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -167,10 +167,13 @@ esac
# This tests cgo -cdefs. That mode is not supported,
# so it's okay if it doesn't work on some systems.
# In particular, it works badly with clang on OS X.
-[ "$CGO_ENABLED" != 1 ] || [ "$GOOS" == darwin ] ||
-(xcd ../misc/cgo/testcdefs
-./test.bash || exit 1
-) || exit $?
+# It doesn't work at all now that we disallow C code
+# outside runtime. Once runtime has no C code it won't
+# even be necessary.
+# [ "$CGO_ENABLED" != 1 ] || [ "$GOOS" == darwin ] ||
+# (xcd ../misc/cgo/testcdefs
+# ./test.bash || exit 1
+# ) || exit $?
[ "$CGO_ENABLED" != 1 ] || [ "$GOOS" == darwin ] ||
(xcd ../misc/cgo/testgodefs